zrush = zrush or {}
zrush.Holes = {}
function zrush.f.CreateOilSource(data)
	return table.insert(zrush.Holes, data)
end

// Oil Hole Settings
///////////////////////
// OilSource Registration
/*
	Values for this are
	Chance (1-100)		 : The Chance of getting this Hole
	Depth				 : How many pipes it will need
	Burnchance (1-100)   : how high the chance is that it needs to be burned after hitting the oil
	oil_amount			 : how much oil is in the Hole
	gas_amount		   : how much gas is in the Hole
	chaos_chance		 : The Chance of the Machine do have a OverHeat/Jam -Event when working on this OilSource (This gets added do the Base OverHeat/Jam -Chance of the machine)
*/

zrush.f.CreateOilSource({
	chance = 50,
	depth = 15,
	burnchance = 40,
	oil_amount = 1000,
	gas_amount = 150,
	chaos_chance = 5
})

zrush.f.CreateOilSource({
	chance = 30,
	depth = 20,
	burnchance = 60,
	oil_amount = 1500,
	gas_amount = 200,
	chaos_chance = 10
})

zrush.f.CreateOilSource({
	chance = 20,
	depth = 25,
	burnchance = 80,
	oil_amount = 2000,
	gas_amount = 250,
	chaos_chance = 15
})

zrush.f.CreateOilSource({
	chance = 10,
	depth = 30,
	burnchance = 100,
	oil_amount = 2500,
	gas_amount = 300,
	chaos_chance = 20
})
///////////////////////
